Bug 442235 - cron spool doesn't get relabelled on upgrade
cron spool doesn't get relabelled on upgrade
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-13 00:27 EDT by Dave Jones
Modified: 2015-01-04 17:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-14 12:34:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2008-04-13 00:27:25 EDT
I yum updated from f8 -> rawhide, and ran an autorelabel afterwards.
After booting, I got this..

inode_doinit_with_dentry: 
context_to_sid(unconfined_u:object_r:unconfined_cron_spool_t:s0) returned 22 for
dev=dm-0 ino=7824314
inode_doinit_with_dentry: 
context_to_sid(unconfined_u:object_r:unconfined_cron_spool_t:s0) returned 22 for
dev=dm-0 ino=7824333

sure enough, the contents of /var/spool/cron/ were system_u:object_r:unlabeled_t
Running restorecon on them, or even just rewriting them with crontab -e causes
them to be correctly labelled as unconfined_u:object_r:cron_spool_t
Comment 1 Daniel Walsh 2008-04-14 12:34:30 EDT
Fixed in selinux-policy-3.3.1-35.fc9

Note You need to log in before you can comment on or make changes to this bug.